import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/customer/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/customer/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/customer/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/customer/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/customer/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/customer/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/customer/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function findList(formData){
  return request.post(constant.serverUrl + "/base/customer/findList", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,findList
}